# Get Video List

Retrieve a list of videos associated with your account. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Responses** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/video.list": {
      "get": {
        "summary": "Retrieve Video List",
        "description": "This endpoint retrieves a list of videos associated with the user.",
        "operationId": "video-list",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "Number of videos to return in a single response. Accepts values from `0` to `100`. If more than 100 videos are available, use the pagination token to retrieve additional results.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "folder_id",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Unique identifier of the folder where the video is stored. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/list-folders\" target=\"_blank\">List Folders</a> endpoint if folder already exists, or from the response of the <a href=\"https://docs.heygen.com/reference/create-folder\" target=\"_blank\">Create Folder</a> endpoint after creating a new folder."
          },
          {
            "name": "title",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Title of the video to retrieve. "
          },
          {
            "name": "token",
            "in": "query",
            "description": "Pagination token for retrieving the next set of results when more than 100 videos are available. Can be retrieved from the response. ",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Video list retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 100,\n    \"data\": {\n        \"videos\": [\n            {\n                \"video_id\": \"852adc6r4h584f409112337c1677a90a\",\n                \"status\": \"completed\",\n                \"video_title\": \"My Title\",\n                \"created_at\": 1759560467,\n                \"type\": \"GENERATED\",\n                \"folder_id\": \"null\"\n            },\n            {\n                \"video_id\": \"6a7647a385fc40f6a84db29ac4131n46\",\n                \"status\": \"completed\",\n                \"video_title\": \"My Title\",\n                \"created_at\": 1759734824,\n                \"type\": \"GENERATED\",\n                \"folder_id\": \"32c8d8a0632d40949dffb60c557dc6ea\"\n            },\n],\n        \"token\": \"fgTzdGFydF9pZCI6JUIxMTc3NTJkMWUwOWQ0MDYyODkzNzViNDY2MzEfODJlORIsICJsYXN0X2NyZWF2ZWRfdHMiOiAiMjAyNS0xMC0wNCAwNTo0MDowOBIsvvJsYXN0X2ZldGNoZWRfbmFyHGI6ICIiLCAic29ydF9rZXkiOiAiY3JlYXRlZF90cyIsICJzb3J0X29yZGVyIjogImRlc2MiLCAiaXNfZmF2b3JpdGUiOiBudWxsfQ==\",\n        \"total\": 35\n    },\n    \"msg\": null,\n    \"message\": null\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details. "
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "videos": {
                          "type": "array",
                          "description": "An array of video objects. ",
                          "items": {
                            "properties": {
                              "video_id": {
                                "type": "string",
                                "description": "Unique identifier of the video. "
                              },
                              "status": {
                                "type": "string",
                                "description": "Current status of the video. "
                              },
                              "video_title": {
                                "type": "string",
                                "description": "Title of the video. "
                              },
                              "created_at": {
                                "type": "integer",
                                "description": "Unix timestamp when the video was created."
                              },
                              "type": {
                                "type": "string",
                                "description": "Specifies the type of the video (e.g., GENERATED)."
                              },
                              "folder_id": {
                                "type": "string",
                                "description": "Unique identifier of the folder where the video is saved. You can retrieve it from the <a href=\"https://docs.heygen.com/reference/list-folders\" target=\"_blank\">List Folders</a> endpoint if folders already exist, or from the response of the <a href=\"https://docs.heygen.com/reference/create-folder\" target=\"_blank\">Create Folder</a> endpoint after creating a new folder."
                              }
                            },
                            "type": "object"
                          }
                        },
                        "token": {
                          "type": "string",
                          "description": "Pagination token returned when there are additional videos beyond the current response limit. Use this token as the `token` query parameter in your next request to retrieve the next set of videos."
                        },
                        "total": {
                          "type": "string",
                          "description": "Total number of videos associated with your account. This count includes all videos, regardless of how many are returned in the current response. "
                        }
                      },
                      "description": "Contains the list of videos. "
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```